#-*- coding:utf-8 -*-
##############################################################################
#
#    ValueDecision Twitter Search Module for OpenERP
#    Copyright (C) 2011 Les Green (<l.green@valuedecision.com>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    'name' : 'Twittersearch Server',
    'category': 'Generic Modules/Others',
    'license': 'AGPL-3',
    'version' : '1.0',
    'depends' : ['base'],
    'author' : 'ValueDecision Ltd',
    'description': """Twittersearch: 
    
    Use Cases:
    ==========

    1. Create leads based on tweets
       A twitterati asks about a product or services you company provides, thats a potential customer!
    2. Create support requests based on tweets
       You are doing B2C and want to offer the under 40's customer segment a more up-to date channel 
       to contact you with a support request? 
    3. Monitor your twitter reputation and create tasks for your CRM staff!
    
    
    Fetch tweets from twitter based on a search string 
    Automatic Tweet retrieval (set to every 15 mins changeable under scheduler)
    
    Search options are outlined here http://search.twitter.com/operators
    
    Tweets are downloaded to the Tweets table and optionally 
    a crm.lead or a crm.helpdesk entry can be created from a Tweet 
    (Currently the only models tested / accounted for)
    
    Inserts menus under Sales/Configuration/ TwitterSearch and Tweets
    
    Adds twitter_search_server and twitter_search_tweets tables and an entry
    into the scheduler.
    
    This is a standalone module and does not modify any base components.
    """,
    'website': 'http://www.valuedecision.com',
    'init_xml': [],
    'update_xml': [
        'twittersearch_view.xml',
        'twittersearch_data.xml',
        'security/ir.model.access.csv',
    ],
    'demo_xml': [
    ],
    'installable': True,
    'active': False,
}
